Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QActionEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QActionEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QActionEvent

extends QEvent

The `QActionEvent` class provides an event that is generated when a `QAction` is added, removed, or changed.

Actions can be added to widgets using QWidget::addAction(). This generates an `ActionAdded` event, which you can handle to provide custom behavior. For example, `QToolBar` reimplements QWidget::actionEvent() to create `QToolButton`s for the actions.

See Also:
  `QAction`, `QWidget::addAction`, `QWidget::removeAction`, `QWidget::actions`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QActionEvent(int type, QAction action)` Equivalent to `QActionEvent`(`type`, `action`, 0).
`QActionEvent(int type, QAction action, QAction before)` Constructs an action event.

Method Summary
`QAction` | `action()` Returns the action that is changed, added, or removed.
`QAction` | `before()` If `type` is `ActionAdded`, returns the action that should appear before `action`.
`static QActionEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QActionEvent instance pointed to by nativePointer

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QActionEvent

    public QActionEvent(int type,
                        QAction action)

  Equivalent to `QActionEvent`(`type`, `action`, 0).

### QActionEvent

    public QActionEvent(int type,
                        QAction action,
                        QAction before)

  Constructs an action event. The `type` can be `ActionChanged`, `ActionAdded`, or `ActionRemoved`.

  `action` is the action that is changed, added, or removed. If `type` is `ActionAdded`, the action is to be inserted before the action `before`. If `before` is 0, the action is appended.

Method Detail

### action

    public final QAction action()

  Returns the action that is changed, added, or removed.

  See Also:
    `before`

### before

    public final QAction before()

  If `type` is `ActionAdded`, returns the action that should appear before `action`. If this function returns 0, the action should be appended to already existing actions on the same widget.

  See Also:
    `action`, `QWidget::actions`

### fromNativePointer

    public static QActionEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QActionEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD